- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#body.BatchCreateContactsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#body.aspect)
- [CreateContactRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#CreateContactRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#CreateContactRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#try-it)

Creates `Contact` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/contacts:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Contacts` will be created. Format: `networks/{networkCode}` The parent field in the CreateContactRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#CreateContactRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts/batchCreate#CreateContactRequest`)`` Required. The `Contact` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `contacts.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contacts": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts#Contact`) } ] } ``` |

| Fields ||
|---|---|
| `contacts[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts#Contact`)`` The `Contact` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateContactRequest

Request object for `contacts.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "contact": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts#Contact`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `Contact` will be created. Format: `networks/{networkCode}` |
| `contact` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.contacts#Contact`)`` Required. The `Contact` to create. |